import 'package:json_annotation/json_annotation.dart';

part 'job_concerned_with_student.g.dart';

@JsonSerializable()
class JobConcernedWithStudent extends Object {
  @JsonKey(name: 'studentId')
  int studentId;

  @JsonKey(name: 'studentName')
  String studentName;

  JobConcernedWithStudent(
    this.studentId,
    this.studentName,
  );

  factory JobConcernedWithStudent.fromJson(Map<String, dynamic> srcJson) => _$JobConcernedWithStudentFromJson(srcJson);

  Map<String, dynamic> toJson() => _$JobConcernedWithStudentToJson(this);
}
